Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceOperAccount

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.bgbilling.modules.voice.common.bean.AbtractVoiceAccount
ru.bitel.bgbilling.modules.voice.common.bean.VoiceOperAccount

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `GuiTitlable`, `Idable`, `ListItem`

public class VoiceOperAccount extends AbtractVoiceAccount

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `VoiceOperAccount.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceOperAccount()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VoiceOperAccount.Builder`
  `builder()`
  `byte`
  `getCallType()`
  `List<VoiceAccountPort>`
  `getFromPortList()`
  `String`
  `getNoRegexpA()`
  `String`
  `getNoRegexpB()`
  `String`
  `getRegexpA()`
  `String`
  `getRegexpB()`
  `String`
  `getRegexpFromPorts()`
  `String`
  `getRegexpToPorts()`
  `int`
  `getServiceId()`
  `List<VoiceAccountPort>`
  `getToPortList()`
  `void`
  `setCallType(byte callType)`
  `void`
  `setDeviceId(int deviceId)`
  Установка кода устройства, к которому привязывается аккаунт
  `void`
  `setFromPortList(List<VoiceAccountPort> fromPortList)`
  `void`
  `setNoRegexpA(String noRegexpA)`
  `void`
  `setNoRegexpB(String noRegexpB)`
  `void`
  `setRegexpA(String regexpA)`
  `void`
  `setRegexpB(String regexpB)`
  `void`
  `setRegexpFromPorts(String regexpFromPorts)`
  `void`
  `setRegexpToPorts(String regexpToPorts)`
  `void`
  `setServiceId(int serviceId)`
  `void`
  `setToPortList(List<VoiceAccountPort> toPortList)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.bgbilling.modules.voice.common.bean.AbtractVoiceAccount

  `copyTo, getContractComment, getContractId, getContractTitle, getDateFrom, getDateTo, getDeviceId, getObjectId, getTypeId, setContractComment, setContractId, setContractTitle, setDateFrom, setDateTo, setObjectId, setTypeId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### VoiceOperAccount

    public VoiceOperAccount()

- ## Method Details

  - ### getCallType

    public byte getCallType()

  - ### getFromPortList

    public List<VoiceAccountPort> getFromPortList()

  - ### getNoRegexpA

    public String getNoRegexpA()

  - ### getNoRegexpB

    public String getNoRegexpB()

  - ### getRegexpA

    public String getRegexpA()

  - ### getRegexpB

    public String getRegexpB()

  - ### getRegexpFromPorts

    public String getRegexpFromPorts()

  - ### getRegexpToPorts

    public String getRegexpToPorts()

  - ### getServiceId

    public int getServiceId()

  - ### getToPortList

    public List<VoiceAccountPort> getToPortList()

  - ### setCallType

    public void setCallType(byte callType)

  - ### setDeviceId

    public void setDeviceId(int deviceId)
    Description copied from class: `AbtractVoiceAccount`
    Установка кода устройства, к которому привязывается аккаунт
    Overrides:
      `setDeviceId` in class `AbtractVoiceAccount`
    Parameters:
      `deviceId` - код устройства

  - ### setFromPortList

    public void setFromPortList(List<VoiceAccountPort> fromPortList)

  - ### setNoRegexpA

    public void setNoRegexpA(String noRegexpA)

  - ### setNoRegexpB

    public void setNoRegexpB(String noRegexpB)

  - ### setRegexpA

    public void setRegexpA(String regexpA)

  - ### setRegexpB

    public void setRegexpB(String regexpB)

  - ### setRegexpFromPorts

    public void setRegexpFromPorts(String regexpFromPorts)

  - ### setRegexpToPorts

    public void setRegexpToPorts(String regexpToPorts)

  - ### setServiceId

    public void setServiceId(int serviceId)

  - ### setToPortList

    public void setToPortList(List<VoiceAccountPort> toPortList)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`

  - ### builder

    public static VoiceOperAccount.Builder builder()